Bug 492542 - gnome-keyboard-properties doesn't obey setting passed down from anaconda nor gdm
gnome-keyboard-properties doesn't obey setting passed down from anaconda nor gdm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-03-27 07:40 EDT by David Nielsen
Modified: 2015-01-14 18:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 01:43:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2009-03-27 07:40:48 EDT
Description of problem:

On a fresh install from Rawhide when selecting danish with a danish keyboard layout upon first log in these settings are correctly reflected in gdm however when gnome is up and running gnome-keyboard-properties is set to evdev controlled with a USA layout.

Version-Release number of selected component (if applicable):
control-center-2.25.92-1.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install to a non-US layout setting
2. start up gdm and note how the setting is correct
  
Actual results:
Once logged in note how gnome-keyboard-proporties does not correctly reflect this setting.

Expected results:
Setting should be retained

Additional info:
x86_64, da_DK.UTF-8
Comment 1 Matthias Clasen 2009-03-27 20:02:14 EDT
control-center is not involved here, this is between gdm and gnome-settings-daemon

Please tell us 

a) what .dmrc contains after you initially log in

b) what the GDM_KEYBOARD_LAYOUT env var contains
Comment 2 Matthias Clasen 2009-03-27 20:24:23 EDT
Moving to gdm for now
Comment 3 David Nielsen 2009-03-28 04:04:55 EDT
Content of .dmrc

[Desktop]
Language=da_DK.UTF-8
Layout=dk

GDM_KEYBOARD_LAYOUT is empty
Comment 4 Matthias Clasen 2009-03-29 10:46:40 EDT
Which version of gdm ?
Comment 5 David Nielsen 2009-03-31 19:08:30 EDT
the problem presists with gdm-2.26.0-7.fc11.x86_64, I apologize for the delay.
Comment 6 David Nielsen 2009-04-24 02:47:58 EDT
Still happens on a fresh install (netinstall as of Thu 23th) and a fresh profile.
 
gdm-2.26.1-3.fc11.x86_64
Comment 7 Corentin Perard-Gayot 2009-04-24 15:32:05 EDT
Same problem here with french !

.dmrc :

[Desktop]
Language=fr_FR.UTF-8
Layout=fr

gdm-2.26.1-3.fc11.i586 : seems it's not related in any way to arch.
Comment 8 Daniel Qarras 2009-04-26 04:41:15 EDT
Same problem here. However, if there will be a change, perhaps this would be a good opportunity to take into consideration also the detection of the keyboard model as has been discussed in Bug 330881

https://bugzilla.redhat.com/show_bug.cgi?id=330881

So, for example, an Acer laptop user would get keyboard layout "Acer laptop" automagically and thus all inet etc keys. Although now with latest evdev changes I'm not quite is it really needed.
Comment 9 Matthias Clasen 2009-04-26 13:55:59 EDT
We are using the evdev keyboard driver, so keyboard model should always be 'evdev-controlled keyboard'
Comment 10 Igor Pires Soares 2009-04-26 18:29:32 EDT
Same problem for br-abnt (Brazil)

.drmc:

[Desktop]
Language=pt_BR.UTF-8
Layout=br

GDM version:
gdm-2.26.1-3.fc11.i586

As a result the keyboard use is really broken in F11.
Comment 11 Matthias Clasen 2009-04-27 23:44:53 EDT
Can all of you who see this problem tell me

a) the output of echo $GDM_KEYBOARD_LAYOUT

b) the output of cat /etc/sysconfig/keyboard
Comment 12 Igor Pires Soares 2009-04-28 00:14:50 EDT
Here it goes

[fedora11@f11beta ~]$ echo $GDM_KEYBOARD_LAYOUT

[fedora11@f11beta ~]$ cat /etc/sysconfig/keyboard
KEYBOARDTYPE="pc"
KEYTABLE="br-abnt2"

Humm... I guess $GDM_KEYBOARD_LAYOUT shouldn't be empty
Comment 13 Matthias Clasen 2009-04-28 00:43:46 EDT
/etc/sysconfig/keyboard should also have xkb information, like this:

cat /etc/sysconfig/keyboard 
KEYBOARDTYPE="pc"
KEYTABLE="et"
LAYOUT="ee"
MODEL="pc105"
OPTIONS=""
VARIANT=""

but actually, gdm does take its keyboard information from hal devel properties these days, so the output of 

lshal | grep xkb 

would also be interesting
Comment 14 Igor Pires Soares 2009-04-28 20:49:10 EDT
Here it is:

[fedora11@f11beta ~]$ lshal | grep xkb
  input.xkb.layout = 'us'  (string)
  input.xkb.model = 'evdev'  (string)
  input.xkb.rules = 'base'  (string)
  input.xkb.variant = ''  (string)
  input.xkb.layout = 'us'  (string)
  input.xkb.model = 'evdev'  (string)
  input.xkb.rules = 'base'  (string)
  input.xkb.variant = ''  (string)
  input.xkb.layout = 'br'  (string)
  input.xkb.model = 'abnt2'  (string)
  input.xkb.options = 'terminate:ctrl_alt_bksp'  (string)
  input.xkb.rules = 'base'  (string)
  input.xkb.variant = ''  (string)

This was also tested with gdm-2.26.1-4.fc11.i586
Comment 15 Matthias Clasen 2009-04-29 23:20:06 EDT
Can you all please try to see if this build fixes things for you ?

http://koji.fedoraproject.org/koji/buildinfo?buildID=100317
Comment 16 Corentin Perard-Gayot 2009-04-30 09:37:19 EDT
fr_FR : fixed !
Comment 17 Igor Pires Soares 2009-04-30 16:26:02 EDT
Also fixed things for br-abnt2. Thanks!
Comment 18 Matthias Clasen 2009-05-02 01:43:11 EDT
Ok, I'll take this as sufficient proof that things are working now.

Note You need to log in before you can comment on or make changes to this bug.